####################################################################
#	SentinelTorpYield.py
#
#	Torpedo Yield v0.2 -- 04/10/2005
#
#	This version is for USS Sentinel by DarkFallen Shipyards
#
#	This small script changes torpedo modes. You can 
#	choose low, medium or high torpedo yield with
#	different damage settings. That's all there is.
#
#	Author: USS Sovereign of BCS: TNG
#
#	Credits: Defiant for qbautostart
#
#	Permission: Ask before doing anything with this script
#	<uss882000@yahoo.co.uk> or ask in BCS: TNG forum
#	http://bcscripterstng.forumsplace.com/
#
#	Additional Note: This version only works with Sentinel's 
#	Photon torpedoes. You have to modify the script each time
#	for a new torpedo. It's not hard nor challenging. But if 
# 	there are too many versions of this mod, Tactical menu 
#	clutter is immanent. So I have to restrict access to this 
#	mod by making modders ask for permission. 
#	Also be on the lookout for a public release of this mod, 
#	so you will be able alone to choose and make your own custom
#	torpedo yields. That will be at your own discretion. 
# 	I yet have no idea of extent and purpose of this mod at 
#	this time, as it was suggested to me by MeteoraFallen. 
# 	I accepted this idea and suggested that I make it for his 
#	Sentinel a long time ago. Circumstances allowed me only 
#	now to finnish this project :)
####################################################################

# globals and imports and same old stuff over here

import App
import Lib.LibEngineering
import MissionLib
pLowButton = None
pMedButton = None
pHighButton = None
pYieldMain = None

# just to make sure it loads in MP. I make this mistake too many times, in forgetting this line that is, hehe

MODINFO = {     "Author": "\"USS Sovereign\" uss882000@yahoo.co.uk",
                "Version": "0.2",
                "License": "GPL",
                "Description": "Change Torpedo Yields",
                "needBridge": 0
            }

# getting the button for our small script, 3 is what I need + the main one. Let's see if I'm right........ yup I'm right

def init():
	global pLowButton, pMedButton, pHighButton, pYieldButton
    	
    	# getting the menu and main button
    	
	pBridge = App.g_kSetManager.GetSet('bridge')
	pFelixMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
	pYieldMain = App.STMenu_CreateW(App.TGString("Photon Yields"))
	pFelixMenu.PrependChild(pYieldMain)
	
	# ok here are the child buttons 3 of them. low, med and high :)
	
	pLowButton = Lib.LibEngineering.CreateMenuButton("Low Yield", "Tactical", __name__ + ".LowYield", 0, pYieldMain)
	pMedButton = Lib.LibEngineering.CreateMenuButton("Med Yield", "Tactical", __name__ + ".MedYield", 0, pYieldMain)
	pHighButton =Lib.LibEngineering.CreateMenuButton("High Yield", "Tactical", __name__ + ".HighYield", 0, pYieldMain)
	
	# This part is used for reckognition purposes in order to see which torpedo are you using and which torp yield version
	
	print "USS Sentinel Photon Torpedo - Torpedo Yield v0.2 Loaded"

# low yield damage definition, a tricky part was this indeed people. 
# don't ask what your BC can do for you! ask what you can do for your BC :)
	
def LowYield(pObject, pEvent):
 	pPlayer = MissionLib.GetPlayer()
 	TorpedoSystem = pPlayer.GetTorpedoSystem()
 	
 	# just incase you don't have a torpedo system onboard your ship
 	
 	if not TorpedoSystem:
 		return
 	
 	# if you have it and the name of the torpedo matches, then baby you're swithcing torpedo scripts ingame aka changing torpedo yield
 	
 	if (TorpedoSystem):
 		iNumTypes = TorpedoSystem.GetNumAmmoTypes()
 		for iType in range(iNumTypes):
 			pTorpedoType = TorpedoSystem.GetAmmoType(iType)
 			if (pTorpedoType.GetAmmoName() == "Photon Torp"):
 				iTorpType = pTorpedoType.SetTorpedoScript("Tactical.Projectiles.CGPhotorplow")
 				
# med yield damage definition, well making a right coding in first def makes things easier :D

def MedYield(pObject, pEvent):
    	pPlayer = MissionLib.GetPlayer()
 	TorpedoSystem = pPlayer.GetTorpedoSystem()
 	
 	# just incase you don't have a torpedo system onboard your ship
 	
 	if not TorpedoSystem:
 		return
 	# if you have it and the name of the torpedo matches, then baby you're swithcing torpedo scripts ingame aka changing torpedo yield
 		
 	if (TorpedoSystem):
 		iNumTypes = TorpedoSystem.GetNumAmmoTypes()
 		for iType in range(iNumTypes):
 			pTorpedoType = TorpedoSystem.GetAmmoType(iType)
 			if (pTorpedoType.GetAmmoName() == "Photon Torp"):
 				iTorpType = pTorpedoType.SetTorpedoScript("Tactical.Projectiles.CGPhotorpmed")


# high yield damage definition, well again this is just for the sentinel, the script will have to be changed for every torpedo
# don't know how radically but hopefully not much. And if someone asks for permission I'll gladly grant it and help with it's modification. 
	
def HighYield(pObject, pEvent):
    	pPlayer = MissionLib.GetPlayer()
 	TorpedoSystem = pPlayer.GetTorpedoSystem()
 	
 	# just incase you don't have a torpedo system onboard your ship
 	
 	if not TorpedoSystem:
 		return
 		
 	# if you have it and the name of the torpedo matches, then baby you're swithcing torpedo scripts ingame aka changing torpedo yield
 		
 	if (TorpedoSystem):
 		iNumTypes = TorpedoSystem.GetNumAmmoTypes()
 		for iType in range(iNumTypes):
 			pTorpedoType = TorpedoSystem.GetAmmoType(iType)
 			if (pTorpedoType.GetAmmoName() == "Photon Torp"):
 				iTorpType = pTorpedoType.SetTorpedoScript("Tactical.Projectiles.CGPhotorphigh")			
 		 
 	 	
# Again this is very simple script, but don't be fooled it wasn't easy making it either lol
# Maybe this script has some future, maybe it doesn't, I really don't know. I hope it does.
# USS Sovereign of BCS: TNG signing out! See ya out there people!
